Open SCAP Library

Public Member Functions | Data Fields
cvrf_group Struct Reference

## Public Member Functions
xmlNode * | cvrf_group_to_dom (const struct cvrf_group *group)
| Parent: CVRF ProductGroups container. More...
struct cvrf_group * | cvrf_group_new (void)
| New CVRF Group child of ProductGroups container element. More...
void | cvrf_group_free (struct cvrf_group *group)
| Deallocates memory for a Group element. More...
struct cvrf_group * | cvrf_group_clone (const struct cvrf_group *group)
const char * | cvrf_group_get_group_id (const struct cvrf_group *group)
const char * | cvrf_group_get_description (const struct cvrf_group *group)
bool | cvrf_group_set_group_id (struct cvrf_group *group, const char *group_id)
bool | cvrf_group_set_description (struct cvrf_group *group, const char *description)
struct oscap_string_iterator * | cvrf_group_get_product_ids (struct cvrf_group *group)

## Data Fields
char * | group_id
char * | description
struct oscap_stringlist * | product_ids

## Member Function Documentation

## ◆ cvrf_group_to_dom()

xmlNode * cvrf_group_to_dom | ( | const struct cvrf_group * | group | ) |

Parent: CVRF ProductGroups container.

Parameters

  group | CVRF Group structure to be exported to XML

Returns
  xmlNode representing Group element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h